// Skybox

textures/ut_druglord3/skybox
{
	qer_editorimage textures/ut_druglord3/skybox
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 1.00 0.949 0.977 200 45 45
	skyparms textures/ut_druglord3/env/nwo512 - -
}

models/mapobjects/fordsemi/semi_sid
{
	surfaceparm trans
	nopicmip

	{
		map models/mapobjects/fordsemi/semi_sid.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord3/fogcaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut_druglord3/fogcaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm fog
	fogparms ( .057 .077 .125 ) 512
}

textures/ut_druglord3/watercaulk2
{
	qer_trans 0.40
	qer_editorimage textures/ut_druglord3/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut_druglord3/truefence
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_druglord3/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord3/bomb_mark
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_druglord3/bomb_mark.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord3/lightbar
{
	qer_editorimage textures/ut_druglord3/lightbar.tga
	q3map_surfaceLight 2000
	{
		animMap 10 textures/ut_druglord3/lightbar.tga textures/ut_druglord3/lightbar_b-lit.tga textures/ut_druglord3/lightbar.tga textures/ut_druglord3/lightbar_r-lit.tga textures/ut_druglord3/lightbar.tga textures/ut_druglord3/lightbar.tga
	}
}

textures/ut_druglord3/lightbar-b_end
{
	qer_editorimage textures/ut_druglord3/lightbar-b_end.tga
	q3map_surfaceLight 2000
	{
		animMap 10 textures/ut_druglord3/lightbar-b_end.tga textures/ut_druglord3/lightbar-b_end-lit.tga textures/ut_druglord3/lightbar-b_end.tga textures/ut_druglord3/lightbar-b_end-lit.tga textures/ut_druglord3/lightbar-b_end.tga textures/ut_druglord3/lightbar-b_end.tga
	}
}

textures/ut_druglord3/lightbar-r_end
{
	qer_editorimage textures/ut_druglord3/lightbar-r_end.tga
	q3map_surfaceLight 2000
	{
		animMap 10 textures/ut_druglord3/lightbar-r_end.tga textures/ut_druglord3/lightbar-r_end-lit.tga textures/ut_druglord3/lightbar-r_end.tga textures/ut_druglord3/lightbar-r_end-lit.tga textures/ut_druglord3/lightbar-r_end.tga textures/ut_druglord3/lightbar-r_end.tga
	}
}

textures/ut_druglord3/swat_sign
{
	qer_editorimage textures/ut_druglord3/swat_sign.tga
	q3map_surfaceLight 2000
	{
		animMap 10 textures/ut_druglord3/swat_sign.tga textures/ut_druglord3/swat_sign-blu.tga textures/ut_druglord3/swat_sign.tga textures/ut_druglord3/swat_sign-red.tga textures/ut_druglord3/swat_sign.tga textures/ut_druglord3/swat_sign.tga
	}
}

textures/ut_druglord3/van2
{
	qer_editorimage textures/ut_druglord3/van2.tga
	q3map_surfaceLight 2000
	{
		animMap 10 textures/ut_druglord3/van2.tga textures/ut_druglord3/van2-b.tga textures/ut_druglord3/van2.tga textures/ut_druglord3/van2-r.tga textures/ut_druglord3/van2.tga textures/ut_druglord3/van2.tga
	}
}

textures/ut_druglord3/light-red
{
	qer_editorimage textures/ut_druglord3/lightbar-r_end.tga
	q3map_surfaceLight 2000
	{
		animMap 2 textures/ut_druglord3/lightbar-r_end.tga textures/ut_druglord3/lightbar-r_end-lit.tga
	}
}

textures/ut_druglord3/chain
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	cull none
        nopicmip

	{
		map textures/ut_druglord3/chain.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord3/glass_black
{
	qer_editorimage textures/ut_druglord3/blackfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/ut_druglord3/blackfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_druglord3/fs_securitypanel_o1
{
	qer_editorimage textures/ut_druglord3/fs_securitypanel_o1.tga
	{
		animMap 5 textures/ut_druglord3/fs_securitypanel_o1.tga textures/ut_druglord3/fs_securitypanel_o2.tga
	}
}

textures/ut_druglord3/coke_top
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	nopicmip
	qer_trans 	0.50

	{
		map textures/ut_druglord3/coke_top.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
 	{
 		map $lightmap
 		rgbGen identity
 		blendFunc GL_DST_COLOR GL_ZERO
 		depthFunc equal
 	}
}

textures/ut_druglord3/rough_water
{
	qer_editorimage textures/ut_druglord3/water_flow.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	tessSize 256
	nopicmip
	surfaceparm fog
	fogparms ( .057 .077 .125 ) 512
	deformVertexes wave 80 triangle 0 8 1 .75
	{
		map textures/ut_druglord3/water_ripples.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcmod scroll 0 .5

	}
	{
		map textures/ut_druglord3/water_flow.tga
		rgbgen identity
		tcmod scroll .1 .35
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//	}
}

textures/ut_druglord3/calm_water
{
	qer_editorimage textures/ut_druglord3/water_flow.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	tessSize 1024
	nopicmip
	surfaceparm fog
	fogparms ( .057 .077 .125 ) 512
	deformVertexes wave 80 triangle 0 8 1 .75
	{
		map textures/ut_druglord3/water_ripples.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcmod scroll 0 .5
	}
	{
		map textures/ut_druglord3/water_flow.tga
		rgbgen identity
		tcmod scroll .1 .35
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//	}
}

textures/ut_druglord3/drain_water
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}
		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/ut_druglord3/padlock
{
	qer_trans .6
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	nopicmip

	{
		map textures/ut_druglord3/padlock.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
